=== debian/changelog ===
libtheora (0.0.0-0) unstable; urgency=low

  * Initial Release.

 -- Christopher L Cheney <ccheney@debian.org>  Wed, 25 Sep 2002 21:00:00 -0500

Local variables:
mode: debian-changelog
End:
